Package org.jcsp.net.cns

# Class ChannelNameKey

java.lang.Object
org.jcsp.net.cns.ChannelNameKey

All Implemented Interfaces:
  `Serializable`

public final class ChannelNameKey extends Object implements Serializable
Instances of this hold a key for a particular channel. `ChannelNameKey` objects are issued by the channel name server. They must be supplied to the channel name server along with any channel management requests (channel deregistration, relocation etc.). This class has no public constructor.

Author:
  Quickstone Technologies Limited
See Also:
  - Serialized Form

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
Compares another `Object` with this `ChannelNameKey`.
`int`
`hashCode()`
Returns an `int` hash code for this object.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### equals

public boolean equals(Object o)
Compares another `Object` with this `ChannelNameKey`.

Overrides:
  `equals` in class `Object`
Parameters:
  `o` - the other `Object` to compare with this `Object`.
Returns:
  `true` iff `o` is a non-null `ChannelNameKey` object which holds the same key as this object.

### hashCode

public int hashCode()
Returns an `int` hash code for this object.

Overrides:
  `hashCode` in class `Object`
Returns:
  an `int` hash code.